Bug 1573937 - unable to use state variables across multiple deployment of a service
Summary: unable to use state variables across multiple deployment of a service
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.3
Assignee: William Fitzgerald
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 14:43 UTC by Felix Dewaleyne
Modified: 2018-06-15 10:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 13:44:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
fdewaley: needinfo-


Attachments (Terms of Use)
Updated playbook that works (869 bytes, text/plain)
2018-05-02 19:44 UTC, William Fitzgerald
no flags Details

Description Felix Dewaleyne 2018-05-02 14:43:01 UTC
Description of problem:
unable to use state variables accorss multiple deployment of a service

Version-Release number of selected component (if applicable):
5.9.1

How reproducible:
all the time (customer environment)

Steps to Reproduce:
The customer needs to use Ansible Embedded to set a state var. they have created a domain to test it, and a service catalog that has configured its entry point to the state machine of this domain. The schema is the following:

- State 1: Set a state var and print it
- State 2: Launch the playbook using Ansible Embedded. This playbook makes the connection, initialize the workspace and set the state var with another value.
- State 3: Print eh value of the state var.


Actual results:
the first service deployment works fine, the second fails until the name of the state variable is changed, and so on for the next deployments.
sometimes changing the name doesn't fix the deployment.

Expected results:
consistant behaviour without having to change the name of the state var

Additional info:
the customer is using a playbook based on the example explained here: https://github.com/syncrou/manageiq-automate/blob/master/README.md.
The role we are using in the playbook (manageiq-automate), is exactly the same as the one in this page

Comment 5 Greg McCullough 2018-05-02 15:43:57 UTC
Please collect the logs from an appliance showing this error.  We are attempting to recreate locally.

Comment 6 William Fitzgerald 2018-05-02 18:58:17 UTC
I was able to make the playbook work by removing/commenting out the 'Become' values in lines 3,18,32 and setting the Escalate Privilege to NO.  I was testing on a later release so now I am going to test on 5.9.1.0.

Will update when I am finished testing on 5.9.0.1.

Billy

Comment 7 William Fitzgerald 2018-05-02 19:42:56 UTC
Tested on 5.9.0.1

You also need to update your role to look like this: 

  roles:
    - syncrou.manageiq-automate

I will upload the playbook that I used.

Comment 8 William Fitzgerald 2018-05-02 19:44:23 UTC
Created attachment 1430260 [details]
Updated playbook that works


Note You need to log in before you can comment on or make changes to this bug.